Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » [Resolved] failed to load shared library(having issues configuring ini for Win7)
[Resolved] failed to load shared library [message #760640] Sat, 03 December 2011 18:55 Go to next message
ajl254 is currently offline ajl254Friend
Messages: 5
Registered: December 2011
Junior Member
Hi everyone-
I am trying to set up my machine to run Eclipse and have encountered a lot of errors. After troubleshooting I have now succeeded in getting it the "try" to start but I get shot down now at the following error...
Quote:

Failed to load the JNI shared library "C:\Program Files (x86)\Java\jre6\bin\client\jvm.dll"


Below is my current ini file

-startup
plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar

--launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.100.v20110502
-product
org.eclipse.epp.package.java.product

-vm
C:\Program Files (x86)\Java\jre6\bin\client\jvm.dll
--launcher.defaultAction
openFile

--launcher.XXMaxPermSize
256M
-showsplash
org.eclipse.platform

--launcher.XXMaxPermSize
256m

--launcher.defaultAction
openFile
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx384m

[Updated on: Sat, 03 December 2011 22:56]

Report message to a moderator

Re: failed to load shared library [message #760641 is a reply to message #760640] Sat, 03 December 2011 18:59 Go to previous messageGo to next message
ajl254 is currently offline ajl254Friend
Messages: 5
Registered: December 2011
Junior Member
and I guess I should have looked a few minutes more before posing this *doh* I was not pointing to the exe- Now I am getting an error but reading through it it is throung out win os 32 and I am running 64 so I am guessing my versions do not match- I will follow up

Edit:
*following up*
The I have verified I am running java for 64bit and I when I downloaded eclipse I picked 64bit... I have no clue what the problem is... I will attach the message thrown...

*following up following up*
I pointed my ini to look in program files not program file x86 and it works now
  • Attachment: eclipse.png
    (Size: 34.59KB, Downloaded 357 times)

[Updated on: Sat, 03 December 2011 22:56]

Report message to a moderator

Re: failed to load shared library [message #760738 is a reply to message #760641] Mon, 05 December 2011 00:11 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 2341
Registered: July 2009
Senior Member
How did you verify that you're launching a 64-bit Java VM?

---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: failed to load shared library [message #762365 is a reply to message #760738] Thu, 08 December 2011 00:05 Go to previous message
ajl254 is currently offline ajl254Friend
Messages: 5
Registered: December 2011
Junior Member
i guess i *didn't* i just managed to get it working which is all I care about @ this point lol

Once I am more familiar with the IDE I will refine it to verify that java is 64bit and eclipse is as well
Previous Topic:Minimalist GUI, do I need to add anything to Eclipse IDE?
Next Topic:"build" eclipse
Goto Forum:
  


Current Time: Fri Dec 19 22:51:49 GMT 2014

Powered by FUDForum. Page generated in 0.03172 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software